[openssh-commits] [openssh] 02/02: Show valgrind results and error counts.
git+noreply at mindrot.org
git+noreply at mindrot.org
Fri Jul 19 07:44:10 AEST 2019
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
commit d7423017265c5ae6d0be39340feb6c9f016b1f71
Author: Darren Tucker <dtucker at dtucker.net>
Date: Fri Jul 19 07:43:07 2019 +1000
Show valgrind results and error counts.
---
regress/test-exec.sh | 20 +++++++++++++-------
1 file changed, 13 insertions(+), 7 deletions(-)
diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index f699f34d..97081030 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -591,15 +591,21 @@ cleanup
if [ "x$USE_VALGRIND" != "x" ]; then
# wait for any running process to complete
wait; sleep 1
- VG_ERROR=0
- for i in $OBJ/valgrind-out/*; do
- if grep "ERROR SUMMARY" $i >/dev/null && \
- ! grep "ERROR SUMMARY: 0 errors" $i >/dev/null; then
- RESULT=1
- verbose valgrind failure $i
- cat $i
+ VG_RESULTS=$(find $OBJ/valgrind-out -type f -print)
+ VG_RESULT_COUNT=0
+ VG_ERROR_COUNT=0
+ for i in $VG_RESULTS; do
+ if grep "ERROR SUMMARY" $i >/dev/null; then
+ VG_RESULT_COUNT=$(($VG_RESULT_COUNT + 1))
+ if ! grep "ERROR SUMMARY: 0 errors" $i >/dev/null; then
+ VG_ERROR_COUNT=$(($VG_ERROR_COUNT + 1))
+ RESULT=1
+ verbose valgrind failure $i
+ cat $i
+ fi
fi
done
+ verbose valgrind results $VG_RESULT_COUNT errors $VG_ERROR_COUNT
fi
if [ $RESULT -eq 0 ]; then
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list